Loading...
Searching...
No Matches
DataProvider::DataTypeInfo Struct Reference

describes a data type More...

`#include <AbstractDataProviderType.qc.dox.h>`

## Public Attributes

string | base_type
| Output: base type.
bool | can_manage_fields = False
| If fields can be added dynamically to the type and if the type will accept any field at runtime.
*hash< DataTypeInfo > | default_field_type_info
| Default type for fields not listed in fields.
string | desc
| The description of the type.
hash< string, hash< DataFieldInfo > > | fields
| Any fields supported by the type.
bool | mandatory
| Output: can be null / missing?
string | name
| The name of the type.
*hash< auto > | options
| Output: current transformation option values.
*hash< string, hash< DataProviderTypeOptionInfo > > | supported_options
| Output: transformation options supported by the type.
*hash< auto > | tags
| Any tags set on the type.
list< string > | types_accepted
| Output: list of types accepted.
list< string > | types_returned
| Input: list of types returned.

## Detailed Description

describes a data type